Ask Your Question
0

Unable to locate package ros-melodic-ros-base on Ubuntu Mate 18.04

asked 2019-07-06 09:18:00 -0600

pretel gravatar image

I'm using Ubuntu Mate 18.04 on a old machine and I get this "unable to locate package ros-melodic-ros-base" error. I tried using the desktop and desktop-full version too, and they all have the same error. I don't if it has anything to do with it, but I'm using the 32-bit version of the OS. Other then that I don't what could be causing this error, do you guys have any suggestions?

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2019-07-06 12:00:45 -0600

gvdhoorn gravatar image

updated 2019-07-06 12:01:05 -0600

I'm using the 32-bit version of the OS

That would explain it: as you can see in REP-3: Target Platforms - Platforms by Distribution - Melodic Morenia (May 2018 - May 2023), only amd64 (for x86 architectures) of Melodic is supported with packages on the ROS buildfarm.

edit flag offensive delete link more

Comments

I see that. I choose the 32-bit OS because its running on a very old machine, with only 2Gb of RAM. But I thing I don't have a choice and must install a 64-bit OS. Thanks for the help!!

pretel gravatar imagepretel ( 2019-07-07 15:43:42 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2019-07-06 09:18:00 -0600

Seen: 90 times

Last updated: Jul 06